Page MenuHomePhabricator

Drop `external_user` from all databases
Closed, ResolvedPublic

Description

It was an experimental auth method that we never ended up using. It was removed from MW core in rMW36cade. I mention not dropping it, insofar as I didn't add a DROP TABLE statement to the updater, but it was removed from tables.sql so it wouldn't be created anymore.

It can be safely dropped everywhere, and should be empty on all wikis already.

This table exist on:

s3

  • arbcom_fiwiki
  • arwikimedia
  • arwikiversity
  • aswikisource
  • bdwikimedia
  • bewikimedia
  • bewikisource
  • bjnwiki
  • boardgovcomwiki
  • brwikimedia
  • brwikisource
  • checkuserwiki
  • dewikivoyage
  • dkwikimedia
  • donatewiki
  • elwikinews
  • enwikivoyage
  • eowikinews
  • eowikisource
  • eswikivoyage
  • etwikimedia
  • fawikinews
  • fdcwiki
  • fiwikimedia
  • frrwiki
  • frwikivoyage
  • gagwiki
  • guwikisource
  • hewikivoyage
  • itwikivoyage
  • kbdwiki
  • koiwiki
  • kowikinews
  • kowikiversity
  • krcwiki
  • lezwiki
  • liquidthreads_labswikimedia
  • liwikibooks
  • ltgwiki
  • minwiki
  • mkwikimedia
  • movementroleswiki
  • mrjwiki
  • mrwikisource
  • mxwikimedia
  • nlwikivoyage
  • noboard_chapterswikimedia
  • noboardwiki
  • nsowiki
  • nycwikimedia
  • ombudsmenwiki
  • outreachwiki
  • pcdwiki
  • pflwiki
  • plwikivoyage
  • pnbwiktionary
  • ptwikivoyage
  • rowikivoyage
  • ruewiki
  • ruwikiversity
  • ruwikivoyage
  • sahwikisource
  • sawikiquote
  • sawikisource
  • slwikiversity
  • sqwikinews
  • steward
  • stewardwiki
  • svwikiversity
  • svwikivoyage
  • tenwiki
  • test2wiki
  • transitionteamwiki
  • trwikimedia
  • ukwikivoyage
  • vecwikisource
  • vepwiki
  • vewikimedia
  • wikimania2011wiki
  • wikimania2012wiki
  • wikimania2013wiki
  • xmfwiki

s8

  • wikidatawiki

Event Timeline

demon triaged this task as Normal priority.Jan 5 2018, 4:01 AM
demon created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2018, 4:01 AM
Marostegui moved this task from Triage to Backlog on the DBA board.Jan 5 2018, 7:05 AM
Restricted Application added subscribers: Base, revi. · View Herald TranscriptJan 5 2018, 7:17 AM

Just confirming, they are indeed empty.

Mentioned in SAL (#wikimedia-operations) [2018-01-10T07:37:08Z] <marostegui> Drop external_user from wikidatawiki - T184247

root@db1071[wikidatawiki]> select count(*) from external_user;
+----------+
| count(*) |
+----------+
|        0 |
+----------+
1 row in set (0.00 sec)

root@db1071[wikidatawiki]> drop table if exists external_user;
Query OK, 0 rows affected (0.08 sec)

Mentioned in SAL (#wikimedia-operations) [2018-01-11T07:24:51Z] <marostegui> Drop external_user table from s3 - T184247

Marostegui closed this task as Resolved.Jan 11 2018, 7:38 AM
Marostegui claimed this task.
Marostegui updated the task description. (Show Details)

All done